%{
#define YYSTYPE char*

#include <stdio.h>
#include <string.h>
#include "exemplo_bison.h"
char string[500];
//Definicao de Tokens. 
//A variavel yylval possui escopo global e, por isso,   aqui atribuida para posteriormente (no bison) ser usada.
//Os tokens devem ser retornados a fim de que o lexico possa repassa-los para o analisador sintatico.
//Observe o uso de expressoes regulares na definicao de STRING. 

%}

%%


int return INT;
char return CHAR;
float return FLOAT;
mod return MOD;

[0-9]+      strcpy(string, yytext);yylval = string; return NUMBER; 
[a-zA-Z_]+[0-9]*[a-zA-Z_]* strcpy(string, yytext);yylval = string; return STRING; 
[,] return COMMA;
[;] return SEMICOLON;
[+] return PLUS;
[-] return MINUS;
[*] return TIMES;
[/] return DIVIDE;

%%
